<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head>
</head>
<body>

	<fieldset data-th-fragment="fieldsetPersonalData">
		<legend data-th-text="#{persons.personaldata}">Persönliche Daten</legend>
		<th:block data-th-replace="fragments/forms::text(field='firstName', fieldname='persons.firstname')" />
		<th:block data-th-replace="fragments/forms::text(field='lastName', fieldname='persons.lastname')" />
		<th:block data-th-replace="fragments/forms::date(field='birthDate', fieldname='persons.birthdate')" />
		<th:block data-th-replace="fragments/forms::singleSelect(field='sex', fieldname='persons.sex', options=${sexes})" />
		<th:block data-th-replace="fragments/forms::singleSelect(field='title', fieldname='persons.title', options=${titles})" />
	</fieldset>

	<fieldset data-th-fragment="fieldsetAddressData">
		<legend data-th-text="#{addressdata}">Adressdaten</legend>
		<th:block data-th-replace="fragments/forms::text(field='address.street', fieldname='addresses.street')" />
		<th:block data-th-replace="fragments/forms::text(field='address.housenumber', fieldname='addresses.housenumber')" />
		<th:block data-th-replace="fragments/forms::text(field='address.zipCode', fieldname='addresses.zipcode')" />
		<th:block data-th-replace="fragments/forms::text(field='address.city', fieldname='addresses.city')" />
	</fieldset>

	<fieldset data-th-fragment="fieldsetAddressDataWithRegion">
		<legend data-th-text="#{addressdata}">Adressdaten</legend>
		<th:block data-th-replace="fragments/forms::text(field='address.street', fieldname='addresses.street')" />
		<th:block data-th-replace="fragments/forms::text(field='address.housenumber', fieldname='addresses.housenumber')" />
		<th:block data-th-replace="fragments/forms::text(field='address.zipCode', fieldname='addresses.zipcode')" />
		<th:block data-th-replace="fragments/forms::text(field='address.city', fieldname='addresses.city')" />
		<div></div>
		<div class="todo">TODO: Derzeit müssen die Regionen noch manuell gesetzt werden. Um das zu automatisieren, bräuchten wir eine angeschlossene Adressdatenbank.</div>
		<th:block data-th-replace="fragments/forms::singleSelect(field='region', fieldname='addresses.region', options=${regions})" />
	</fieldset>

	<fieldset data-th-fragment="fieldsetContactData">
		<legend data-th-text="#{contactdata}">Kontaktdaten</legend>
		<th:block data-th-replace="fragments/forms::text(field='contactInfo.email', fieldname='contacts.email')" />
		<th:block data-th-replace="fragments/forms::text(field='contactInfo.phoneNumber', fieldname='contacts.phone')" />
		<th:block data-th-replace="fragments/forms::text(field='contactInfo.phoneNumber2', fieldname='contacts.phone2')" />
		<th:block data-th-replace="fragments/forms::text(field='contactInfo.faxNumber', fieldname='contacts.fax')" />
		<th:block data-th-replace="fragments/forms::text(field='contactInfo.web', fieldname='contacts.web')" />
	</fieldset>
</body>
</html>